GNU Radio's SATELLITES Package

gr::satellites::doppler_correction_impl Class Reference

`#include <doppler_correction_impl.h>`

Inheritance diagram for gr::satellites::doppler_correction_impl:
[legend]

## Public Member Functions
| doppler_correction_impl (const char *filename, double samp_rate, double t0)
| ~doppler_correction_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members
Public Types inherited from gr::satellites::doppler_correction
typedef boost::shared_ptr< doppler_correction > | sptr
Static Public Member Functions inherited from gr::satellites::doppler_correction
static sptr | make (const char *filename, double samp_rate, double t0)
| Build the Doppler Correction block.

## Constructor & Destructor Documentation

## ◆ doppler_correction_impl()

gr::satellites::doppler_correction_impl::doppler_correction_impl | ( | const char * | filename,
|  | double | samp_rate,
|  | double | t0 )

## ◆ ~doppler_correction_impl()

gr::satellites::doppler_correction_impl::~doppler_correction_impl | ( |  | ) |

## Member Function Documentation

## ◆ work()

int gr::satellites::doppler_correction_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- doppler_correction_impl.h